{
  pkgs,
  config,
  ...
}: {
  home.packages = with pkgs; [
    psmisc
  ];
  wayland.windowManager.hyprland.settings = {
    exec = [
      # "pkill -x hyprpaper; uwsm app -- hyprpaper"
      # "matugen image ${config.home.homeDirectory}/.cache/current_wallpaper"
    ];
    exec-once = [
      # essentials
      "hyprpm reload -n"
      "systemctl --user start hyprpolkitagent"
      "systemctl --user start swayosd"
      # "hyprsunset -t 4500" # TODO: must be optional
    ];
  };
}
